#ifdef GL_ES
	precision lowp float;
#endif

varying vec2 v_texCoord;
uniform float u_delta;

void main()
{
	vec4 color = texture2D( CC_Texture0 , v_texCoord); 
	vec2 u_outsize= vec2(0.007 + u_delta,0);
	vec4 sum= vec4(0,0,0,0);
	
	sum += texture2D(CC_Texture0, v_texCoord - 4.0 * u_outsize) * 0.05;
	sum += texture2D(CC_Texture0, v_texCoord - 3.0 * u_outsize) * 0.09;
	sum += texture2D(CC_Texture0, v_texCoord - 2.0 * u_outsize) * 0.12;
	sum += texture2D(CC_Texture0, v_texCoord - 1.0 * u_outsize) * 0.15;
	sum += texture2D(CC_Texture0, v_texCoord                 ) * 0.18;
	sum += texture2D(CC_Texture0, v_texCoord + 1.0 * u_outsize) * 0.15;
	sum += texture2D(CC_Texture0, v_texCoord + 2.0 * u_outsize) * 0.12;
	sum += texture2D(CC_Texture0, v_texCoord + 3.0 * u_outsize) * 0.09;
	sum += texture2D(CC_Texture0, v_texCoord + 4.0 * u_outsize) * 0.05;
	
    //if( sum.a<1&& sum.a>0 &&(color.r+color.g+color.b>0 ||sum.a>0.1))
   if( sum.a<1&& sum.a>0)
   {   
   	sum.a+=0.2;
    vec4 dest = vec4(sum.a,0,0,sum.a);//red outline
    color = color*color.a+dest*(1-color.a);
   }
	gl_FragColor = color;
}


